Subject: Re: [Shop-talk] Drop lights

From: "Peter J. Thomas" <[email-masked]>
Date: Mon, 29 Dec 2014 14:24:10 -0500

On 12/27/2014 12:37 AM, John Miller wrote:
>
>
> Time to resurrect the old drop lights: Cree 60-watt LED bulbs from 
> Home Depot, $7.
I have the newer plastic 60-watt equivalent Cree LED.  Highly 
recommend.  It durable plastic and lighter than glass LED bulbs.
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive

---

From: Mark Andy <[email-masked]>
Date: Mon, 29 Dec 2014 14:33:14 -0500

Howdy,

I looked at LED bulbs as a result of this discussion.  Looks like 100-watt
equivalents are about twice the cost of 60-watt... Is that right?  How come?

Mark

On Mon, Dec 29, 2014 at 2:24 PM, Peter J. Thomas <[email-masked]>
wrote:

>> Time to resurrect the old drop lights: Cree 60-watt LED bulbs from Home
>> Depot, $7.
>>
> I have the newer plastic 60-watt equivalent Cree LED.  Highly recommend.
> It durable plastic and lighter than glass LED bulbs.
> Donate: http://www.team.net/donate.html
> Suggested annual donation  $12.96
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/marka@
> maracing.com

[email-masked]

---

From: David Scheidt <[email-masked]>
Date: Mon, 29 Dec 2014 16:22:57 -0600

> equivalents are about twice the cost of 60-watt... Is that right?  How come?

they use different leds, which cost more.  They could use more of the
same one, which would require a bigger package, but would also cost
more.  There's also a "they're new" factor, of course.  I'm not sure
what the real cost difference is.

I'm not a big fan of the currently available models, because the color
rendering is awful.  I've got a few PAR replacements that are better
than the A shape bulbs,

Oh, another nice thing about incandescent replacements: The wattage
limits on light fixtures are based on heat, so you can use a higher
output bulb, if it will fit.  My parent's garage is light by a pair of
bare bulbs, in lamp holders limited to 100W.  I replaced the bulbs
with a pair of 75W cfls (actual power consumption, not equivalent),
which gets them about three times the light at 2/3 the electricity
usage.

-- 
David Scheidt
[email-masked]

[email-masked]